Bug 357051 (CVE-2007-5712) - CVE-2007-5712 Django 0.96 i18n DoS
Summary: CVE-2007-5712 Django 0.96 i18n DoS
Status: CLOSED ERRATA
Alias: CVE-2007-5712
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security
Depends On: 362761 362771 362781
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-29 18:13 UTC by Ville Skyttä
Modified: 2007-11-09 23:58 UTC (History)
2 users (show)

Fixed In Version: 0.96.1-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-09 23:53:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2007-10-29 18:13:26 UTC
http://www.djangoproject.com/weblog/2007/oct/26/security-fix/

"A per-process cache used by Django's internationalization ("i18n") system to
store the results of translation lookups for particular values of the HTTP
Accept-Language header used the full value of that header as a key. An attacker
could take advantage of this by sending repeated requests with extremely large
strings in the Accept-Language header, potentially causing a denial of service
by filling available memory.

Due to limitations imposed by Web server software on the size of HTTP header
fields, combined with reasonable limits on the number of requests which may be
handled by a single server process over its lifetime, this vulnerability may be
difficult to exploit. Additionally, it is only present when the "USE_I18N"
setting in Django is "True" and the i18n middleware component is enabled*.
Nonetheless, all users of affected versions of Django are encouraged to update."

All Fedora and EPEL branches are at 0.96 (which is vulnerable) at the moment.

Comment 1 Ville Skyttä 2007-10-29 18:15:12 UTC
Credit where it's due: found at
http://www.vuxml.org/freebsd/d2c2952d-85a1-11dc-bfff-003048705d5a.html

Comment 2 Tomas Hoger 2007-10-31 12:59:06 UTC
CVE id CVE-2007-5712 was assigned to this issue.

Comment 4 Fedora Update System 2007-11-06 16:04:12 UTC
Django-0.96.1-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Django'

Comment 5 Fedora Update System 2007-11-09 23:53:45 UTC
Django-0.96.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2007-11-09 23:58:31 UTC
Django-0.96.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.